Name:           fonttools
Version:        4.39.4
Release:        1
Summary:        Tools to manipulate font files
License:        MIT
URL:            https://github.com/fonttools/fonttools/
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz
Requires:       python3-fonttools
Requires:       python3-setuptools
BuildArch:      noarch
Provides:       ttx = %{version}-%{release}

%description
FontTools is a library for manipulating fonts, written in Python. The project
includes the TTX tool, that can convert TrueType and OpenType fonts to and
from an XML text format, which is also called TTX. It supports TrueType,
OpenType, AFM and to an extent Type 1 and some Mac-specific formats. The
project has an MIT open-source licence.

%package -n python3-fonttools
Summary:        Python 3 fonttools library
BuildRequires:  python3-devel python3-numpy python3-setuptools_scm
BuildRequires:  python3-setuptools
BuildArch:      noarch

%{?python_provide:%python_provide python3-fonttools}

%description -n python3-fonttools
FontTools is a library for manipulating fonts, written in Python. The project
includes the TTX tool, that can convert TrueType and OpenType fonts to and
from an XML text format, which is also called TTX. It supports TrueType,
OpenType, AFM and to an extent Type 1 and some Mac-specific formats. The
project has an MIT open-source licence.

%package        help
Summary:        Help document for the fonttools

%description    help
Help document for the fonttools.

%prep
%autosetup -p1
sed -i 1d Lib/fontTools/mtiLib/__init__.py
rm -rf *.egg-info

%build
%py3_build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files
%{_bindir}/pyf*
%{_bindir}/ttx
%{_bindir}/fonttools

%files help
%doc NEWS.rst README.rst
%{_mandir}/man1/ttx.1.gz

%files -n python3-fonttools
%doc LICENSE
%{python3_sitelib}/fontTools
%{python3_sitelib}/fonttools-%{version}-py3.*.egg-info

%changelog
* Thu May 18 2023 Ge Wang <wang__ge@126.com> - 4.39.4-1
- Update to 4.39.4

* Sun Apr 24 2022 caodongxia <caodongxia@h-partners.com> - 4.32.0-1
- update to 4.32.0 

* Wed Apr 06 2022 houyingchao <houyingchao@h-partners.com> - 3.29.0-6
- Replace totring with tobytes
- Replace fromtring with frombytes

* Wed Mar 30 2022 baizhonggui <baizhonggui@huawei.com> - 3.29.0-5
- support py3.10+ wildcard to fix build error

* Tue Oct 26 2021 chenchen <chen_aka_jan@163.com> - 3.29.0-4
- change the spec file name to be the same as the repo name

* Thu Oct 22 2020 huanghaitao <huannghaitao8@huawei.com> - 3.29.0-3
- Disable python2 module

* Thu Nov 28 2019 likexin<likexin4@huawei.com> - 3.29.0-2
- Package init
